# Acknowledge dispute Mark a processed installment. This feature is only available for Mastercard. # OpenAPI definition ```json { "openapi": "3.0.1", "info": { "title": "Card issuing - Disputes", "version": "1.0.0", "description": "Disputes API endpoints", "contact": { "name": "API Support", "url": "https://developers.pismo.io/support/" }, "license": { "name": "Copyright Pismo" } }, "servers": [ { "url": "https://sandbox.pismolabs.io/disputes", "description": "Sandbox API server for testing" } ], "security": [ { "BearerAuth": [] } ], "tags": [ { "name": "Disputes", "description": "Endpoints to create and manage disputes" } ], "components": { "schemas": { "DisputeID": { "type": "number", "description": "Dispute ID", "example": 1876567 }, "NetworkBrand": { "type": "string", "example": "Visa", "description": "Network brand", "enum": [ "Visa", "Mastercard", "Elo" ] }, "DisputeInstallmentId": { "type": "integer", "description": "Dispute installment ID.", "example": 8675309 } }, "securitySchemes": { "BearerAuth": { "type": "http", "scheme": "bearer", "description": "Account access token. Tokens can expire quickly, which can result in an \"Unauthorized\" error.", "bearerFormat": "JWT" } }, "responses": { "401Unauthorized": { "description": "Unauthorized. Invalid or missing access token." }, "500InternalServerError": { "description": "Internal server error" } } }, "paths": { "/v1/disputes/acknowledge": { "post": { "summary": "Acknowledge dispute", "description": "Mark a processed installment. This feature is only available for Mastercard.", "operationId": "post-v1-disputes-acknowledge", "tags": [ "Disputes" ], "requestBody": { "content": { "application/json": { "schema": { "type": "array", "items": { "type": "object", "required": [ "dispute_id" ], "properties": { "dispute_id": { "$ref": "#/components/schemas/DisputeID" }, "dispute_installment_id": { "type": "number", "description": "Dispute installment ID. If not entered, the first installment is processed." }, "network_brand_type": { "$ref": "#/components/schemas/NetworkBrand" }, "error": { "type": "boolean", "description": "Error flag" }, "reason": { "type": "string", "description": "Reason if error", "nullable": true } } } }, "examples": { "Acknowledge a Dispute with success": { "value": [ { "dispute_id": 0, "dispute_installment_id": 0, "network_brand_type": "Mastercard" } ] } } } } }, "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "array", "items": { "type": "object", "properties": { "dispute_id": { "$ref": "#/components/schemas/DisputeID" }, "dispute_installment_id": { "$ref": "#/components/schemas/DisputeInstallmentId" }, "error": { "type": "boolean", "description": "True if there is network error response." }, "reason": { "type": "string", "description": "Error description if network error." } } } }, "examples": { "Response with success": { "value": [ { "dispute_id": 0, "dispute_installment_id": 0, "error": false, "reason": "string" } ] } } } } }, "401": { "$ref": "#/components/responses/401Unauthorized" }, "500": { "$ref": "#/components/responses/500InternalServerError" } } } } } } ```